[arch-commits] Commit in jikes/trunk (PKGBUILD jikes jikes.profile)

Eric Bélanger eric at archlinux.org
Wed Apr 8 03:38:32 EDT 2009


    Date: Wednesday, April 8, 2009 @ 03:38:31
  Author: eric
Revision: 34212

upgpkg: jikes 1.22-3
    Updated url, Added license, FHS man pages, Removed old file in svn

Added:
  jikes/trunk/jikes
Modified:
  jikes/trunk/PKGBUILD
Deleted:
  jikes/trunk/jikes.profile

---------------+
 PKGBUILD      |   18 ++++++++++--------
 jikes         |    3 +++
 jikes.profile |    1 -
 3 files changed, 13 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-08 07:34:39 UTC (rev 34211)
+++ PKGBUILD	2009-04-08 07:38:31 UTC (rev 34212)
@@ -4,20 +4,22 @@
 
 pkgname=jikes
 pkgver=1.22
-pkgrel=2
+pkgrel=3
 pkgdesc="Java compiler written in C"
 arch=(i686 x86_64)
+url="http://jikes.sourceforge.net/"
+license=('custom:IBM Public License')
+depends=('gcc-gcj')
 source=(http://downloads.sourceforge.net/jikes/${pkgname}-${pkgver}.tar.bz2
 	jikes)
-url="http://www-124.ibm.com/developerworks/oss/jikes/"
-depends=('gcc-gcj')
 md5sums=('cda958c7fef6b43b803e1d1ef9afcb85' 'adc932cbcfb46e15ef2ff0bd7e862f1c')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  mv ${startdir}/pkg/usr/bin/jikes ${startdir}/pkg/usr/bin/jikes-bin
-  install -m755 ${startdir}/src/jikes ${startdir}/pkg/usr/bin/
+  make DESTDIR=${startdir}/pkg install|| return 1
+  mv ${pkgdir}/usr/bin/jikes ${pkgdir}/usr/bin/jikes-bin
+  install -m755 ${srcdir}/jikes ${pkgdir}/usr/bin/jikes
+  install -D -m644 doc/license.htm  ${pkgdir}/usr/share/licenses/${pkgname}/license.htm
 }

Added: jikes
===================================================================
--- jikes	                        (rev 0)
+++ jikes	2009-04-08 07:38:31 UTC (rev 34212)
@@ -0,0 +1,3 @@
+#!/bin/sh
+CLASS="`ls -1r /usr/share/java/libgcj-*.jar 2> /dev/null | grep -m 1 libgcj-[[:digit:]]`"
+jikes-bin -bootclasspath ${CLASS} "$@"

Deleted: jikes.profile
===================================================================
--- jikes.profile	2009-04-08 07:34:39 UTC (rev 34211)
+++ jikes.profile	2009-04-08 07:38:31 UTC (rev 34212)
@@ -1 +0,0 @@
-export BOOTCLASSPATH=/opt/java/jre/lib/rt.jar



More information about the arch-commits mailing list